Name:		scythia
Version:	0.9.2
Release:	alt0
Summary:	Is an simple and portable Ftp client
License:	GPLv3
Group:		Networking/File transfer
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://scythia.free.fr/index.php?lng=en
Source0:	http://scythia.free.fr/file/%{name}_%version-src.tar.gz
Patch0:		%name-0.9.2-desktopdir.diff
Patch1:		%name-0.9.2-desktop.diff

# Automatically added by buildreq on Sun Oct 28 2007 (-bi)
BuildRequires: gcc-c++ ImageMagick libqt4-devel libqt4-network

%description
Scythia is an simple and portable Ftp client. It does not claim
to be able to replace the biggest (no SSH etc.), but only to
satisfy some persons and to give us a bigger experience in programming.

Scythia uses the Qt toolkit to be useful on any OS. No other lib is
necessary to ease the compilation.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%make INSTALL_ROOT=%buildroot install

%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 src/pixmaps/%name.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 src/pixmaps/%name.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 src/pixmaps/%name.png %buildroot%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING
%_bindir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_datadir/%name

%changelog
* Sun Oct 28 2007 Motsyo Gennadi <drool@altlinux.ru> 0.9.2-alt0
- initial build for ALT Linux
